Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.classpath
Class ClasspathEntry

    java.lang.Object
      com.sun.tdk.signaturetest.classpath.ClasspathEntry

All Implemented Interfaces:
  Classpath

    public abstract class ClasspathEntry

extends java.lang.Object
implements Classpath

Field Summary
`protected java.util.LinkedHashSet` | `classes` Qualified names for all those classes found in `this` directory.
`protected java.util.Iterator` | `currentPosition` This `currentPosition` iterator is used to browse `classes`
`protected static java.lang.String` | `JAVA_CLASSFILE_EXTENSION`
`protected static int` | `JAVA_CLASSFILE_EXTENSION_LEN`
`protected ClasspathEntry` | `previousEntry`

Constructor Summary
`protected` | `ClasspathEntry(ClasspathEntry previousEntry)`

Method Summary
`protected boolean` | `contains(java.lang.String className)`
`boolean` | `hasNext()`
`boolean` | `isEmpty()`
`java.lang.String` | `nextClassName()` Return name of the next available class.
`void` | `setListToBegin()` Reset enumeration of classes found in `this` ClasspathEntry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.tdk.signaturetest.classpath.Classpath
`close, findClass, init`

Field Detail

### JAVA_CLASSFILE_EXTENSION

    protected static final java.lang.String JAVA_CLASSFILE_EXTENSION

See Also:
  Constant Field Values

### JAVA_CLASSFILE_EXTENSION_LEN

    protected static final int JAVA_CLASSFILE_EXTENSION_LEN

### previousEntry

    protected final ClasspathEntry previousEntry

### classes

    protected java.util.LinkedHashSet classes

  Qualified names for all those classes found in `this` directory.

### currentPosition

    protected java.util.Iterator currentPosition

  This `currentPosition` iterator is used to browse `classes`

Constructor Detail

### ClasspathEntry

    protected ClasspathEntry(ClasspathEntry previousEntry)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Classpath`
  Returns:
    true if more classes available

### nextClassName

    public java.lang.String nextClassName()

  Description copied from interface: `Classpath`
  Return name of the next available class.

  Specified by:
    `nextClassName` in interface `Classpath`
  Returns:
    Class qualified name

### setListToBegin

    public void setListToBegin()

  Reset enumeration of classes found in `this` ClasspathEntry.

  Specified by:
    `setListToBegin` in interface `Classpath`
  See Also:
    `nextClassName()`, `Classpath.findClass(String)`

### contains

    protected boolean contains(java.lang.String className)

### isEmpty

    public boolean isEmpty()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD